> ## Documentation Index
> Fetch the complete documentation index at: https://docs-kausanna.sonqo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar reclamos por adquirente (acquirerId)

Este endpoint permite a los adquirentes poder listar todos sus claims recibidos por el sistema utilizando su `acquirerId`.
El `acquirerId` es un identificador único que se le asigna a cada adquirente, y este se utiliza para poder identificar a que adquirente pertenece cada claim.
Se obtiene utilizando la API Key que se le asigna a cada adquirente al momento de hacer onboarding en nuestro sistema.


## OpenAPI

````yaml GET /claims/acquirer/{acquirerId}
openapi: 3.0.0
info:
  version: 4.7.6
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  title: Kausanna API
  description: >
    Bienvenido a Kausanna, el servicio ofrecido por SONQO, dedicado a procesar
    los contracargos de tus clientes en tiempo real,

    brindando una solución integral que te permite concentrarte en tu negocio
    sin preocuparte por la complejidad de las redes de

    Visa y Mastercard.


    En el mundo de los negocios, los contracargos pueden ser una preocupación
    constante para los comercios y las empresas.

    La necesidad de enfrentar disputas de pagos, desconocimientos o
    reclamaciones de clientes puede ser un desafío significativo,

    especialmente cuando se trabaja con múltiples proveedores de tarjetas y
    redes de pago.

    Es en este punto donde Kausanna se convierte en tu mejor aliado.


    Nuestra plataforma Kausanna se ha desarrollado pensando en la simplicidad y
    eficiencia,

    ofreciendo un sistema escalable y seguro que te permitirá manejar los
    contracargos de manera rápida y efectiva.

    Olvídate de la complejidad técnica y los detalles burocráticos, Kausanna se
    encarga de abstraer toda la

    complejidad de las redes de Visa y Mastercard para que puedas enfocarte en
    lo que realmente importa: hacer crecer tu negocio.


    Verificá el estado de nuestras APIs en [Kausanna
    Status](https://kausanna.instatus.com/)
  contact:
    email: ongoing-processes-sonqo@naranjax.com
  x-logo:
    url: https://www.naranjax.com/assets/images/navbar-isologo-naranjax.png
    altText: NaranjaX Logo
    backgroundColor: '#ffffff'
    href: https://www.naranjax.com/
servers:
  - url: https://e3-kausanna.sonqo.io
    description: Sandbox
  - url: https://kausanna.sonqo.io
    description: Entorno de producción
security:
  - bearerAuth: []
paths:
  /claims/acquirer/{acquirerId}:
    get:
      tags:
        - claims > acquirer
      summary: Obtener reclamaciónes usando el ID del adquirente
      description: >-
        Obtener reclamaciones usando el ID del adquirente, por defecto devuelve
        los que no se han marcado como vistos (seen = false). Este ID se obtiene
        desde el `api-key` utilizado para invocar nuestra API.
      operationId: getClaimsByAcquirerId
      parameters:
        - name: acquirerId
          in: path
          required: true
          schema:
            type: string
          example: acquirerId
        - name: seen
          in: query
          required: false
          schema:
            type: boolean
          descripton: >-
            Filtra los reclamos por el campo seen - Solo permite true y false,
            por defecto false
        - name: origin
          in: query
          required: false
          schema:
            type: string
            enum:
              - visa
              - mastercard
          example: visa
          description: Filtra los reclamos por el campo origin
        - name: status
          in: query
          required: false
          schema:
            type: string
          description: Filtra los reclamos por el campo status
        - name: items
          in: query
          required: false
          schema:
            type: string
          example: '10'
          description: >-
            Número de elementos a devolver por página - por defecto 50 (Máximo
            50)
        - name: startKey
          in: query
          required: false
          schema:
            type: string
          example: startKey
          description: La consulta se realiza desde el ID proporcionado
      responses:
        '200':
          description: OK
          headers:
            content-type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              example:
                success: true
                data:
                  - id: '208171594972'
                    primaryAccountNumber: 5505********9697
                    origin: mastercard
                    outcome: in_progress
                    authCode: '658119'
                    flow:
                      currentStep: SECOND_PRESENTATION_STARTED
                    rrn: '08032054026003400006298'
                    status: SECOND_PRESENTATION_STARTED
                    transactionId: >-
                      TI:bnMeLTGLm2Q7jllvf_Of6eHBL7Ef6KRkL-uNEUnhyV7Lgb8piMeU5altPIJpo5DKzBzC3ZGZ-1JVkUmA2a4FGkRm4gpibshDMuDAKk6jb6M=##ACQ
                    isOpen: true
                    partnerId: 01HPWX95S4ZNNKPMNKPDKE2E12
                    acquirerId: '032314'
                    issuerId: '017670'
                    seen: false
                    events:
                      - name: CREATED
                        timestamp: '2024-03-05T19:51:58.202Z'
                      - name: SECOND_PRESENTATION_STARTED
                        timestamp: '2024-03-05T19:51:58.202Z'
                    createdAt: '2024-03-05T19:51:58.202Z'
                    updatedAt: '2024-03-05T19:54:01.709Z'
                    amount: 111916.69
                    currency: ARS
                    merchant:
                      storeId: 9b7396a2-9e60-4bd0-b2f6-5c4f911167b1
                      ownerId: 2c671a9d-5d66-413e-88b2-aca5c3b6219d
                      name: Sip smart coffee
                      mcc: '5921'
                      taxId: '30123452209'
                      taxIdType: arg.cuit
                      externalPaymentId: 05cfc7cd-6551-44d1-bf02-0d87a151046e
                      contact:
                        email: No data
                        phone: No data
                        businessName: SIPECOFFEE SRL
                        country: ARG
                      address:
                        country: ARG
                        address:
                          number: '1130'
                          notes: '-'
                          street: migueletes
                        city: CIUDAD AUTONOMA BUENOS AIRES
                        name: Torre Galicia ok
                        id: 35ba1a0c-fb37-41c5-a28d-9208adf4ad9c
                        state: C
                        zip_code: C1426BUP
                    payment:
                      data_privacy:
                        encrypted:
                          data: >-
                            x5tZYXEw0Cej9PHEENbigCoFe2wW+B2qXiVnHeWpu9nLcgMIldmAt708raupdppqwTBtrETeatwFPtZEAeh4z6ZPy/FPLGlZ9jWc35R2NH+ZtaOeuxTqPuR2oVcn6u8a7VA19hrbaRT2408b+bpeIfUkC0wrusqDMhVnn4pVrSnl08pyNYyXaDvYllifDE3R61+jzPbSzaVRKJ/C21IF15yIIm48a+D9Pdcxo10S7xNNyy/FjPD0q9u2VONBbruRURvT2RWey8zNMDpASYV/AClmRScyn/r/599kBWNoMnmbTZb08eSYz51eFAzhxq+7CpzRkmsW7o0QrSgLD+c4lg==
                          origin: non_present
                      card_method_type: encrypted
                      card_holder_name: Eze Calonge
                      wallet_name: galicia
                      card_holder_doc_type: DNI
                      type: card_payment
                      expiration_date: 06/2028
                      card_type: CREDIT
                      card_holder_email: eze.calonge@naranjax.com
                      expiration_year: '2028'
                      product_id: MASTERCARD
                      expiration_month: '06'
                      name: MASTERCARD
                      pan: 550568******6713
                      card_holder_doc_number: '12345678'
                      QRName: bb22707a-457e-4695-a29d-8ed76d4bbe85
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Claim'
        '401':
          $ref: '#/components/responses/UserNotAuthorized'
components:
  schemas:
    Claim:
      type: object
      properties:
        id:
          type: string
          example: '207779219414'
          description: Unique identifier for the claim.
        primaryAccountNumber:
          type: string
          example: 5450********6048
          description: Primary account number for the transaction.
        rrn:
          type: string
          example: '08032054026003400006298'
          description: Retrieval reference number for the transaction.
        status:
          type: string
          example: SECOND_PRESENTATION_STARTED
          description: The current status of the claim.
          enum:
            - PENDING_REVIEW
            - COLLABORATION_ACCEPTED
            - COLLABORATION_REJECTED
            - SECOND_PRESENTATION_STARTED
            - SECOND_PRESENTATION_COMPLETED
            - SECOND_PRESENTATION_ACCEPTED
            - COMPLETED
        isOpen:
          type: boolean
          example: true
          description: Indicates if the claim is open or closed.
        createdAt:
          type: string
          format: date-time
          example: '2024-03-05T19:51:58.202Z'
          description: Date and time when the claim was created.
        updatedAt:
          type: string
          format: date-time
          example: '2024-03-05T19:54:01.709Z'
          description: Date and time when the claim was last updated.
        merchantId:
          type: string
          example: '000000000010377'
          description: Unique identifier for the merchant.
        amount:
          type: number
          example: 1000
        currency:
          type: string
          example: ARS
          description: ISO 4217 currency code.
        outcome:
          type: string
          example: in_progress
          description: >-
            The current outcome. Indicates the current status of the claim. If
            the merchant won or lost the claim.
          enum:
            - in_progress
            - won
            - lost
        transactionId:
          type: string
          example: >-
            TI:FIEaEgnM3bwPijwZgjc3Te+Y0ieLbN9ijUugqNSvJmVbO1xs6Jh5iIlmpOpkbax79L8Yj1rBOWBACx+Vj17rzvOepWobpgWNJNdsgHB4ag=#hqCnaMDqmto4wnL+BSUKSdzROqGJ7YELoKhEvluycwKNg3XTzSfaIJhFDkl9hW081B5tTqFFiAwCpcocPdB2My4t7DtSTk63VXDl1CySA8Y=
          description: >-
            Unique identifier for the transaction. For Mastercard, the
            transaction ID contains 2 parts separated by a `#`. The first part
            is the clearing transaction ID and the second part is the
            authorization transaction ID.
        issuerId:
          type: string
          example: 6195
          description: Identifier for the issuer of the chargeback.
        acquirerId:
          type: string
          example: 6355
          description: Identifier for the acquirer of the chargeback.
        partnerId:
          type: string
          example: 01HNBCE7RY395G62BCQFYDCV46
          description: Kausanna partner identifier.
        seen:
          type: boolean
          example: false
          description: >-
            Indicates if the claim has been seen by the merchant / partner
            service.
        events:
          type: array
          description: Array of events related to the claim.
          items:
            type: object
            properties:
              name:
                type: string
                description: Name of the event.
              timestamp:
                type: string
                format: date-time
        origin:
          type: string
          example: mastercard
          description: >-
            The origin of the claim. Indicates if the claim was originated from
            Visa, Mastercard or other network.
        authCode:
          type: string
          example: ab3285c5
          description: Authorization code for the transaction.
        flow:
          type: object
          properties:
            currentStep:
              type: string
              example: PENDING_REVIEW
              description: The current step in the claim flow.
        payment:
          $ref: '#/components/schemas/PaymentMethod'
        merchant:
          $ref: '#/components/schemas/Merchant'
    PaymentMethod:
      type: object
      description: Contains all details about the payment method used.
      properties:
        id:
          type: string
          description: The Ranty payment method identifier.
        data_privacy:
          type: object
          properties:
            encrypted:
              $ref: '#/components/schemas/PaymentDataPrivacyEncrypted'
          description: Details about the privacy and encryption of payment data.
        card_method_type:
          type: string
          description: Type of card method used.
          example: encrypted
        card_holder_name:
          type: string
          description: Name of the card holder.
          example: Test
        card_holder_doc_type:
          type: string
          description: Type of document of the card holder.
          example: DNI
        type:
          type: string
          description: Type of payment.
          example: card_payment
        expiration_date:
          type: string
          description: Expiration date of the card.
          example: 04/2029
        card_type:
          type: string
          description: Type of card used.
          example: DEBIT
        card_holder_email:
          type: string
          description: Email of the card holder.
          example: Test@google.com
        expiration_year:
          type: string
          description: Expiration year of the card.
          example: '2029'
        product_id:
          type: string
          description: Product identifier.
          example: MASTERCARD
        expiration_month:
          type: string
          description: Expiration month of the card.
          example: '04'
        name:
          type: string
          description: Name of the payment product.
          example: MASTERCARD
        pan:
          type: string
          description: Partially masked PAN number.
          example: 553771******3011
        card_holder_doc_number:
          type: string
          description: Document number of the card holder.
          example: '002839234234'
        wallet_name:
          type: string
          description: Name of the wallet used.
          example: galicia
        QRName:
          type: string
          description: QR name.
          example: bb22707a-457e-4695-a29d-8ed76d4bbe85
    Merchant:
      type: object
      description: >-
        Contains all the information related to a merchant, including payment
        and contact details.
      properties:
        storeId:
          type: string
          description: Unique identifier of the store.
          example: 6546e6b2-b0ce-4159-addf-f0147ce08bc4
        ownerId:
          type: string
          description: Unique identifier of the owner.
          example: c6efebfb-b5ba-4e17-8ece-c8c47d27ddf8
        name:
          type: string
          description: Name of the merchant.
          example: Catdog
        mcc:
          type: string
          description: Merchant category code.
          example: '7311'
        taxId:
          type: string
          description: Tax identification number of the merchant.
          example: '23395567659'
        taxIdType:
          type: string
          description: Type of tax identification number.
          example: arg.cuit
        externalPaymentId:
          type: string
          description: External identifier for the payment.
          example: '8524623'
        contact:
          $ref: '#/components/schemas/Contact'
        address:
          $ref: '#/components/schemas/Address'
    PaymentDataPrivacyEncrypted:
      type: object
      description: Contains details about the data privacy and encryption.
      properties:
        data:
          type: string
          description: Encrypted data content.
          example: test
        origin:
          type: string
          description: Origin of the data encryption.
          example: non_present
    Contact:
      type: object
      description: Contact details for the merchant.
      properties:
        email:
          type: string
          description: Contact email address.
          example: No data
        phone:
          type: string
          description: Contact phone number.
          example: No data
        businessName:
          type: string
          description: Business name of the contact.
          example: EZEQUIEL CALONGE
        country:
          type: string
          description: Country of the contact.
          example: ARG
    Address:
      type: object
      description: Address details of the merchant.
      properties:
        country:
          type: string
          description: Country of the address.
          example: ARG
        address:
          type: object
          properties:
            number:
              type: string
              description: Street number of the address.
              example: '135'
            notes:
              type: string
              description: Additional notes about the address.
              example: '-'
            street:
              type: string
              description: Street name of the address.
              example: Luis piedra buena
          description: Detailed street address.
        city:
          type: string
          description: City of the address.
          example: CHIVILCOY
        name:
          type: string
          description: Name associated with the address.
          example: LINK DE PAGO
        id:
          type: string
          description: Identifier of the address.
          example: c231a73b-b1f5-4b1a-b049-675876938605
        state:
          type: string
          description: State or province of the address.
          example: B
        zip_code:
          type: string
          description: ZIP or postal code of the address.
          example: B6620AAA
  responses:
    UserNotAuthorized:
      description: The user is not authorized to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: User not authorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API Token generated for your account. The token must be prefixed with
        `Bearer `.

````